function [ DetectFlag ] = IsEDetected( MaskBlock, dTh )
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here

bHeight=size(MaskBlock,1);
%bWidth=size(MaskBlock,2);

NofEdge=zeros(50,1);
  
      for i=1:bHeight
         sLine= MaskBlock(i,:); 
         nZEdge=nnz(sLine);
         if ( nZEdge==1)
             NofEdge(i)=1;
         else
             NofEdge(i)=0;
         end 
      end
      
      
      
%if and(nnz(iBlock)>50,nnz(iBlock)<300)
if nnz(NofEdge)>dTh*bHeight
    DetectFlag=1;
else
    DetectFlag=0;
end


end

